/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from cvsservice.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __CVSSERVICE_STUB__
#define __CVSSERVICE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <dcopref.h>
#include <tqstringlist.h>


class TDE_EXPORT CvsService_stub : virtual public DCOPStub
{
public:
    CvsService_stub( const TQCString& app, const TQCString& id );
    CvsService_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit CvsService_stub( const DCOPRef& ref );
    virtual DCOPRef add( const TQStringList& files, bool isBinary );
    virtual DCOPRef addWatch( const TQStringList& files, int events );
    virtual DCOPRef annotate( const TQString& fileName, const TQString& revision );
    virtual DCOPRef checkout( const TQString& workingDir, const TQString& repository, const TQString& module, const TQString& tag, bool pruneDirs );
    virtual DCOPRef checkout( const TQString& workingDir, const TQString& repository, const TQString& module, const TQString& tag, bool pruneDirs, const TQString& alias, bool exportOnly );
    virtual DCOPRef checkout( const TQString& workingDir, const TQString& repository, const TQString& module, const TQString& tag, bool pruneDirs, const TQString& alias, bool exportOnly, bool recursive );
    virtual DCOPRef commit( const TQStringList& files, const TQString& commitMessage, bool recursive );
    virtual DCOPRef createRepository( const TQString& repository );
    virtual DCOPRef createTag( const TQStringList& files, const TQString& tag, bool branch, bool force );
    virtual DCOPRef deleteTag( const TQStringList& files, const TQString& tag, bool branch, bool force );
    virtual DCOPRef downloadCvsIgnoreFile( const TQString& repository, const TQString& outputFile );
    virtual DCOPRef downloadRevision( const TQString& fileName, const TQString& revision, const TQString& outputFile );
    virtual DCOPRef downloadRevision( const TQString& fileName, const TQString& revA, const TQString& outputFileA, const TQString& revB, const TQString& outputFileB );
    virtual DCOPRef diff( const TQString& fileName, const TQString& revA, const TQString& revB, const TQString& diffOptions, unsigned int contextLines );
    virtual DCOPRef diff( const TQString& fileName, const TQString& revA, const TQString& revB, const TQString& diffOptions, const TQString& format );
    virtual DCOPRef edit( const TQStringList& files );
    virtual DCOPRef editors( const TQStringList& files );
    virtual DCOPRef history();
    virtual DCOPRef import( const TQString& workingDir, const TQString& repository, const TQString& module, const TQString& ignoreList, const TQString& comment, const TQString& vendorTag, const TQString& releaseTag, bool importAsBinary );
    virtual DCOPRef import( const TQString& workingDir, const TQString& repository, const TQString& module, const TQString& ignoreList, const TQString& comment, const TQString& vendorTag, const TQString& releaseTag, bool importAsBinary, bool useModificationTime );
    virtual DCOPRef lock( const TQStringList& files );
    virtual DCOPRef log( const TQString& fileName );
    virtual DCOPRef login( const TQString& repository );
    virtual DCOPRef logout( const TQString& repository );
    virtual DCOPRef makePatch();
    virtual DCOPRef makePatch( const TQString& diffOptions, const TQString& format );
    virtual DCOPRef moduleList( const TQString& repository );
    virtual DCOPRef remove( const TQStringList& files, bool recursive );
    virtual DCOPRef removeWatch( const TQStringList& files, int events );
    virtual DCOPRef rlog( const TQString& repository, const TQString& module, bool recursive );
    virtual DCOPRef simulateUpdate( const TQStringList& files, bool recursive, bool createDirs, bool pruneDirs );
    virtual DCOPRef status( const TQStringList& files, bool recursive, bool tagInfo );
    virtual DCOPRef unedit( const TQStringList& files );
    virtual DCOPRef unlock( const TQStringList& files );
    virtual DCOPRef update( const TQStringList& files, bool recursive, bool createDirs, bool pruneDirs, const TQString& extraOpt );
    virtual DCOPRef watchers( const TQStringList& files );
    virtual void quit();
protected:
    CvsService_stub() : DCOPStub( never_use ) {}
};


#endif
